import request from '@/utils/request'

/**
* 基础资料/库位信息表分页查询
* @param {查询条件} data
*/
export function listBasBin(query) {
  return request({
    url: 'business/BasBin/list',
    method: 'get',
    params: query,
  })
}


/**
* 新增基础资料/库位信息表
* @param data
*/
export function addBasBin(data) {
  return request({
    url: 'business/BasBin',
    method: 'post',
    data: data,
  })
}

/**
* 修改基础资料/库位信息表
* @param data
*/
export function updateBasBin(data) {
  return request({
    url: 'business/BasBin',
    method: 'PUT',
    data: data,
  })
}

/**
* 获取基础资料/库位信息表详情
* @param {Id}
*/
export function getBasBin(id) {
  return request({
    url: 'business/BasBin/' + id,
    method: 'get'
  })
}

/**
* 删除基础资料/库位信息表
* @param {主键} pid
*/
export function delBasBin(pid) {
  return request({
    url: 'business/BasBin/' + pid,
    method: 'delete'
  })
}

// 清空基础资料/库位信息表
export function clearBasBin() {
  return request({
    url: 'business/BasBin/clean',
    method: 'delete'
  })
}

// 导出基础资料/库位信息表
export async function exportBasBin(query) {
  await downFile('business/BasBin/export', { ...query })
}

